#pragma once
#include "mof/SelectionModel.h"
#include "MyFrame.h"
#include "World.h"
#include "GameData.h"


namespace et{

	class WorldMenu : public MyFrame{
		mof::Window* addSelectableTextItem(mof::Window* pOwner , std::vector<mof::Window*>& selectables , TCHAR* text , int size);

		mof::SelectionModel* m_pSelector;
		mof::TextureManager* m_pTextureManager;
		et::World* m_pWorld;
		et::GameData* m_pGameData;
	public:
		WorldMenu( mof::TextureManager* pTextureManager , et::World* pWorld , et::GameData* pGameData);
		virtual ~WorldMenu();
		virtual void setVisible(bool visible);

		virtual mof::SelectionModel* getSelectionModel(){return m_pSelector;}
		virtual MyFrame* performAction();

	};



};